CodecConstant (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Interface CodecConstant

- All Known Implementing Classes:
    CodecDefinitionImpl

      public interface CodecConstant

  Implement this interface to access unique identifiers for codecs, such as WAVE or JPEG. A codec is a program or system capable of performing encoding and decoding on a digital data stream, which is often the case for the data streams represented by essence data in the MAJ API. Additional information about each codec appears in the codec description that annotates each AUID constant.

  See the description of managing definitions in the package summary for more details of how to use these constants and dynamically extend the range of supported codecs.

  See Also:
    `CodecDescription`, `CodecDefinition`, `TypeDefinitions.CodecDefinitionWeakReference`, `TypeDefinitions.CodecDefinitionStrongReference`, `TypeDefinitions.CodecDefinitionStrongReferenceSet`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AUID` | `AIFC` The audio interchange file format with compression, where audio data is stored in chunks that are compressed according to various defined codecs.
    `static AUID` | `CDCI` Codec handling either uncompressed YUV/YCbCr video data or compressed IEC 61834 DV family and DV-Based family video data.
    `static AUID` | `JPEG` A commonly used method for the compression of photographic images, names after the Joint Photographic Experts Group committee responsible for the standard.
    `static AUID` | `None` Defines a pass-through codec that performs no encoding or decoding on the data it represents.
    `static AUID` | `PCM` Codec that represents mainly audio data as a sequence of quantised values sampled from an analogue signal.
    `static AUID` | `RGBA` An RGBA codec represents image data as separate red, green, blue and alpha transparency levels for each pixel, or using a color palette and lookup table.
    `static AUID` | `WAVE` Codec used to encode raw audio data files originating from Microsoft and IBM as the audio file format for PCs.

- - ### Field Detail

    - #### None

          @CodecDescription(dataDefinitions="DataDef_Unknown ",
                            fileDescriptorClass="")
          static final AUID None

      Defines a pass-through codec that performs no encoding or decoding on the data it represents.

    - #### PCM

          @CodecDescription(fileDescriptorClass="WAVEPCMDescriptor",
                            dataDefinitions={"DataDef_Sound","DataDef_LegacySound"})
          static final AUID PCM

      Codec that represents mainly audio data as a sequence of quantised values sampled from an analogue signal. For more information, see the description of pulse-coded modulation on Wikipedia. PCM data is typically audio data that is not compressed.

      See Also:
        `WAVEPCMDescriptor`

    - #### WAVE

          @CodecDescription(fileDescriptorClass="WAVEDescriptor",
                            dataDefinitions={"DataDef_Sound","DataDef_LegacySound"},
                            description="Handles RIFF WAVE data.")
          static final AUID WAVE

      Codec used to encode raw audio data files originating from Microsoft and IBM as the audio file format for PCs. WAVE is an acronym for Waveform audio format. For more information, see the description of WAVE on Wikipedia.

      See Also:
        `WAVEDescriptor`

    - #### AIFC

          @CodecDescription(fileDescriptorClass="AIFCDescriptor",
                            dataDefinitions={"DataDef_Sound","DataDef_LegacySound"},
                            description="Handles RIFF AIFC data.")
          static final AUID AIFC

      The audio interchange file format with compression, where audio data is stored in chunks that are compressed according to various defined codecs. For more information, see the description of AIFF on Wikipedia.

      See Also:
        `AIFCDescriptor`

    - #### JPEG

          @CodecDescription(fileDescriptorClass="CDCIDescriptor",
                            dataDefinitions={"DataDef_Picture","DataDef_LegacyPicture"},
                            description="Supports a constrained form of ISO/IEC 10918-1 JPEG images which are compatible with Avid implementations.")
          static final AUID JPEG

      A commonly used method for the compression of photographic images, names after the Joint Photographic Experts Group committee responsible for the standard. This particular constant refers to versions of JPEG that are compatible with Avid implementations. For more information on the JPEG format, see the JPEG entry on Wikipedia.

      See Also:
        `CDCIDescriptor`

    - #### CDCI

          @CodecDescription(fileDescriptorClass="CDCIDescriptor",
                            dataDefinitions={"DataDef_Picture","DataDef_LegacyPicture"},
                            description="Handles uncompressed YUV and YCbCr and (compressed) IEC 61834 DV family and DV-Based family")
          static final AUID CDCI

      Codec handling either uncompressed YUV/YCbCr video data or compressed IEC 61834 DV family and DV-Based family video data. The different flavours of coding represented by this codec are defined by constants defined in the `CodecFlavour` interface. For more information about DV formats, see the description on the DV Wikipedia entry.

      See Also:
        `CDCIDescriptor`

    - #### RGBA

          @CodecDescription(fileDescriptorClass="RGBADescriptor",
                            dataDefinitions={"DataDef_Picture","DataDef_LegacyPicture"})
          static final AUID RGBA

      An RGBA codec represents image data as separate red, green, blue and alpha transparency levels for each pixel, or using a color palette and lookup table. Image generated by computer systems are often coded using an RGBA color model.

      See Also:
        `RGBADescriptor`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.